Infinity Nokia [BEST] v2.15 - MTKx, Lumia and NXP update!

 USB Flashing improved
 - WP8x: USB flashing revised 
  Fixed flashing problems with Lumia 822 and same models 
  FlashEngine updated 
 - MTKx: FlashEngine updated and revised 
  Improved semi-dead MTKx phones flashing 
 Some other bugfixes and improvements

 Service operations improved
 - NXP : ADB layer updated ( more stable and fast work with X/XL/X2/XL4G )
 - NXP : ADB mode ( NXP Tools ) operations improved
 - WP8x : Service Mode init revised for some models

 User Data Operations improved
 - NXP : PhoneBook extraction activated for NXP1 and NXP2 platforms
   Support : Nokia X , Nokia XL , Nokia XL4G ,  Nokia X+ , Nokia X2 
   Output formats : TXT , CSV , VCF , VCFv3
 - MTKx: PhoneBook extraction revised for new SW versions
 
 NaviManager updated
  DB revised and updated
  All latest FW for MTKx and Lumia models included
  [Info] : NaviBase released as separate package! 
  [Info] : MS not release new FW's for latest MTKx and Lumia on current scheme (FiRe) anymore!
 
 Other 
 - Stuff files updated
 - Some bugfixes and improvements at all
 
====================================================================
 
Infinity Nokia [BEST] v2.14 released - New MTKx Nokia arrived!

 USB Flashing improved 
 - WP8x : Boot Repair improved for V1 models
 - MTKx : FlashEngine updated and revised
 - MTKx : FlashLoaders updated to latest
 - MTKx : New Nokia MediaTek MT6260s support : Nokia 230SS , Nokia 230DS
   Flashing support only original NMP files!
   Supported flashing modes : LanguageChange , Full Flashing , Repair Mode Flashing 
   Support New Models, based on MediaTek MT6260s : RM-1172 , RM-1173 ( Nokia 230[DS] / Nokia 230[SS] )
   Some other bugfixes and improvements
  
 Service operations improved  
 - MTKx : Initial 230[SS]/230[DS] support for the following operations : 
    Format FS (Reset Settings)
    RPL read / RPL Write
    Flash read
    Read Info
    SelfTest 
 - MTKx: RPL operations improved : Nokia 222 supported ( FastRPL mode )
 * No need 2-step writing procedure any more. Faster and simplier. 
 - MTKx: Reset SimLock counters improved ( Nokia 222 supported )
 - MTKx: LifeTimer Edit and Reset revised ( support new FW versions and latest models )

 SPUnlock operations improved
 - Nokia 222 supported for SPUnlock (only 15 digit NCK)  
 
 User Data Operations improved 
 - MTKx : Safe UserCode Reset supported for 230[SS]/230[DS] (Without any byte of UserData Lost!) 
 - MTKx: RM-1136 , RM-1137 (Nokia 222) PhoneBook extraction supported!
 - MTKx: PhoneBook extraction revised for new SW versions 

 NaviManager updated
 - Database revised
 - All latest Lumia and MTKx firmwares included!
 - From now need download NaviManagerDB from support as separate installer for activate latest models and FW versions!
 
 Other
 - Ini updated and revised
 - Stuff files updated
 - Some bugfixes and improvements at all

====================================================================

Infinity-Box Nokia [BEST] v2.13 : MTKx and Lumia

 USB Flashing improved  
  - WP8x : Boot Repair Engine updated
  - MTKx : Support latest FlashUpdate package
  - MTKx : Flash Engine revised 
  - MTKx : FAT image flashing enabled ( Nokia 220 series browser problem )
  - MTKx : RPL backup removed during flashing, use separate "Read RPL" function!
 
 Service operations improved 
  - WP8x : Service operations revised
  - MTKx : FormatFS /ResetSettings revised , now procedure also repair NK220 browser problem
  - MTKx : RPL operations COMPLETELY revised
    * Not need 2-step writing procedure anymore. Faster and simplier. 
  - MTKx : New SelfTest supported : Earpiece, RTC, BTModule, Audio, Charge 
  - MTKx : LifeTimer Edit and Reset enabled 
    * Allow set any need value for LifeTimer or Reset it to zero 
	* Most of DualSim phones not have *#war0anty# menu , edit for them useless
 
 SPUnlock operations improved
  - MTKx : "NCK Code Send" feature released , support 15 and 20 digits codes 
   
 User Data Operations improved 
  - MTKx : PhoneBook extraction revised for new SW versions 
  - MTKx : UserCode reading revised for new SW versions
  
 - NaviManager updated
   Database revised
   All latest Lumia and MTKx firmwares included! 
   From now need download NaviManagerDB from support as separate installer for activate latest models and FW versions! 
 
 - Other  
   SX4 server updated and back to work ( Lumia , XG223 , BB5 NewHash )
   Stuff files updated
   Some bugfixes and improvements at all  

====================================================================


Infinity-Box Nokia [BEST] v2.12 : Lumia Boot Repair - 15 new models supported

  USB Flashing improved 
  - WP8x : Flash Engine updated
  - WP8x : Boot Repair Engine updated
  - WP8x : Boot Repair now support more models 
   Lumia WP8x V1 :
    RM-822 (Lumia 920)
    RM-893 (Lumia 925)
    RM-943 (Lumia 625)
   Lumia WP8x V2 :
    RM-1041 (Lumia 735[Verizon])
    RM-1062 (MS Lumia 640XL[SS])
    RM-1066 (MS Lumia 430[SS])
    RM-1067 (MS Lumia 430[DS])
    RM-1072 (MS Lumia 640[SS])
    RM-1073 (MS Lumia 640[DS])
    RM-1075 (MS Lumia 640[DS])
    RM-1077 (MS Lumia 640[SS])
    RM-1109 (MS Lumia 640[SS]) 
    RM-1113 (MS Lumia 640[SS])
    RM-1114 (MS Lumia 435[DS])
    RM-1115 (MS Lumia 532[DS])
 For activate new models - need download and install latest Lumia Repair Package from support!

 - NaviManager updated
   Database revised
   All latest Lumia , Asha and MTKx firmwares included! 
 
 - Other  
   Stuff files updated
   Some bugfixes and improvements at all   

====================================================================

Infinity-Box Nokia [BEST] v2.11 : Nokia 222/222DS Support and more!

 USB Flashing improved
 - WP8x : FlashEngine updated
 - MTKx : FlashEngine updated and revised
 - MTKx : FlashLoaders updated to latest
 - MTKx : New Nokia MediaTek MT6260s support : Nokia 222 , Nokia 222DS
   Flashing support only original NMP files!
   Supported flashing modes : LanguageChange , Full Flashing , Repair Mode Flashing 
   Support New Models, based on MediaTek MT6260s : RM-1136 , RM-1137 ( Nokia 222[SS] / Nokia 222[DS] )
   Some other bugfixes and improvements

 Service operations improved 
 - MTKx : Initial 222[SS]/222[DS] support for the following operations : 
    -Format FS (Reset Settings)
    -RPL read / RPL Write
    -Flash read
    -Read Info
    -SelfTest 
 - WP8x : Service Operations revised
 
 User Data Operations improved
 - MTKx : Safe UserCode Reset supported for 222[SS]/222[DS] (Without any byte of UserData Lost!)
 - MTKx : PhoneBook extraction improved 
 - MTKx : PhoneBook restore file create revised
 - AshaOs : XG221 and XG618 PhoneBook extraction improved (Forensic and Direct mode)
 
 NaviManager updated
 - Database revised
 - All latest Lumia , Asha and MTKx firmwares included!
 - Latest ENOSW packages included for WP8x phones 
 
 - New models included : 
   RM-1135 : Nokia 105 New [SS] MT6261s
   RM-1136 : Nokia 222[DS] MT6260s
   RM-1137 : Nokia 222[SS] MT6260s
 
  Total BEST NaviManager Models count : 494 
 
 - Other 
   Ini updated and revised
   Stuff files updated
   Some bugfixes and improvements at all   

====================================================================

Infinity-Box Nokia [BEST] v2.10 : Nokia 105/105DS full support and more!

 USB Flashing improved
 - MTKx : FlashEngine updated and revised 
 - MTKx : Nokia MediaTek MT6261s support improved

 Service operations improved 
 - MTKx : Full MT6261 support for the following operations : 
   *Format FS (Reset Settings)
   *RPL read / Write ( Strongly recommend to use v2.10 for Nokia 105! )
   *Reset Unlock Counter
   *Repair MAUI
   *Flash reading
   *Read Info 
   *SelfTest 
 
 Unlock operations improved
 - MTKx : SP-unlock supported for MT6261 Nokia phones
   Unlock via Server
   Support 15 digit only phones
 
 User Data Operations improved
 - MTKx : Full MT6261 support for the following operations : 
   *Safe UserCode Reset supported    
   *PhoneBook extraction 
 - MTKx : PhoneBook extraction revised
 - MTKx : "Restore PhoneBook" function released
   Allow restore PhoneBook to MTKx Nokia phones
 - BB5/XG : Improved "S40 Forensic" mode extraction 
   
 NaviManager updated
 - Database revised
 - All latest Lumia , Asha and MTKx firmwares included!
 
 - Other 
   Ini updated and revised 
   Some bugfixes and improvements at all   

====================================================================

Infinity-Box Nokia [BEST] v2.09 : Nokia MediaTek MT6261 Support and more!

 USB Flashing improved
 - MTKx : FlashEngine updated and revised
 - MTKx : FlashLoaders updated to latest
 - MTKx : Initial Nokia MediaTek MT6261s support!
   Flashing support only original NMP files!
   Supported flashing modes : LanguageChange , Full Flashing , Repair Mode Flashing 
   Supported Models, based on MediaTek MT6261s : RM-1133 , RM-1134 , RM-1135 ( Nokia 105 NEW SS / DS )
   Some other bugfixes and improvements

 Service operations improved 
 - MTKx : Initial MT6261 support for the following operations : 
   *Format FS (Reset Settings)
   *RPL reading
   *Flash reading
   *Read Info 
 - WP8x : RPL and NVM/NVI operations revised 
 
 User Data Operations improved
 - MTKx : Safe UserCode Reset supported for MT6261 (Without any byte of UserData Lost)
 - MTKx : PhoneBook extraction revised for some FW versions  
 
 NaviManager updated
 - Database revised
 - All latest Lumia , Asha and MTKx firmwares included!
   
 - New models included : 
   RM-1133 : Nokia 105 New [SS]
   RM-1134 : Nokia 105 New [DS]
   RM-1041 : MS Lumia 735 [Verizon]
 
 - Other 
   Ini updated and revised
   Stuff files updated
   Some bugfixes and improvements at all   

====================================================================

Infinity-Box Nokia [BEST] v2.08

 USB Flashing improved
 - WP8x : Flash Engine updated
   "Skip battery level check" option activated
   Some other bugfixes and improvements

 Service operations improved 
 - WP8x : NVI/NVM writing activated 
 - WP8x : WP8x Test Mode Init revised , new models supported
 
 User Data Operations improved
 - Direct PhoneBook extraction ( From Phone ) supported for Nokia AshaOS series  
   Supported platforms : XG618 , XG221 , XG223 AshaOS
   Nokia 230 : RM-986, RM-987 
   Nokia 500 : RM-934, RM-972, RM-973 
   Nokia 501 : RM-899, RM-900, RM-902, RM-951
   Nokia 502 : RM-921
   Nokia 503 : RM-920, RM-922, RM-947, RM-958, RM-959  
 - XG618 AshaOS : Fixed UserData extraction from FlashDump 
 - XG221/XG223 AshaOS : Fixed UserData extraction from Phone (Direct) 
 - PhoneBook extraction ( From Dump ) supported for Nokia AshaOS series
   Supported platforms : XG618 , XG221 AshaOS
   Nokia 230 : RM-986, RM-987 
   Nokia 500 : RM-934, RM-972, RM-973 
   Nokia 503 : RM-920, RM-922, RM-947, RM-958, RM-959
 - AshaOS : PhoneBook data output format : CSV (Google/MSOutlook format)/MultVCF/SingleVCF 
 - MTKx : PhoneBook data output format changed to : CSV (Google/MSOutlook format) 
 - MTKx : Fixed UserCode reading on some new FW's versions
 
 NaviManager updated
 - Database revised
 - Some bugfixes with model selection and product open after download
 - All latest Lumia , Asha and MTKx firmwares included
   
 - New models included : 
   RM-1140 : MS Lumia 540 [DS]
   RM-1141 : MS Lumia 540 [DS]
   
 - New products with ENOSW support , included in NaviManager : 
   Lumia 929   : RM-927
   Lumia 640XL : RM-1062, RM-1063, RM-1064, RM-1065, RM-1096
   Lumia 640   : RM-1074, RM-1075, RM-1109, RM-1113 
   Lumia 432   : RM-1099 
   Lumia 540   : RM-1140, RM-1141
 
 - Other 
   Ini updated and revised
   Stuff files updated
   Some bugfixes and improvements at all   

====================================================================

Infinity-Box Nokia [BEST] v2.07
 
 - USB flashing improved
 WP8x : Flash Engine updated
 WP8x : Boot Repair Engine updated
 WP8x : Boot Repair now support more models 
  RM-927 (Lumia 929)
  RM-983 (Lumia 830)
  RM-984 (Lumia 830)
  RM-985 (Lumia 830[LTE])
  RM-1038 (Lumia 735[DS])
  RM-1039 (Lumia 735[DS])
  RM-1040 (Lumia 730[SS])
  RM-1049 (Lumia 830)
  RM-1078 (Lumia 635[Sprint])
  RM-1087 (Lumia 930)
  RM-1089 (MS Lumia 535)
  RM-1090 (MS Lumia 535[DS])
  RM-1091 (MS Lumia 535)
  RM-1092 (MS Lumia 535[DS])
 For activate new models - need download and install latest Lumia Repair Package from support!

 - Other 
 Stuff files updated 
 Some BugFixes and changes

====================================================================

Infinity-Box Nokia [BEST] v2.06 : Lumia Boot Repair and MTKx
 
 - USB flashing improved
 MTKx : New FlashUpdate package 
 MTKx : Support for latest MT6260 products improved
 WP8x : Boot Repair now support more models 
  RM-1031 : MS Lumia 532[DS]
  RM-1032 : MS Lumia 532[SS]
  RM-1034 : MS Lumia 532[SS]
  RM-1068 : MS Lumia 435[DS LTA]
  RM-1069 : MS Lumia 435[DS]
  RM-1070 : MS Lumia 435[SS LTA]
  RM-1071 : MS Lumia 435[SS]
 For activate new models - need download and install latest Lumia Repair Package from support!
 
 - UserData operations improved
 MTKx : Forensic Mode supported for more models 
 RM-1122 (Nokia 130) : PhoneBook Extraction 
 MTKx : PhoneBook extraction improved ( different firmware versions )
 MTKx : Safe "User Code Reset" now read UserCode for Nokia 108 and Nokia 220 , instead of 2 step reset. 

 - Service operations improved
 Server SX4 activated for XG223 and BB5 ( new hash only )
 Own SX4 card also supported. No limitations on models and e.t.c. 
 
 - NaviManager 
 New products included :
  RM-1062 : MS Lumia 640XL[SS]
  RM-1063 : MS Lumia 640XL[SS]
  RM-1064 : MS Lumia 640XL[SS]
  RM-1065 : MS Lumia 640XL[DS]
  RM-1074 : MS Lumia 640[SS]
  RM-1075 : MS Lumia 640[DS]
  RM-1096 : MS Lumia 640XL[DS]
  RM-1099 : MS Lumia 432[DS] 
  RM-1109 : MS Lumia 640[SS]
  RM-1113 : MS Lumia 640[SS]
  RM-1122 : Nokia 130[SS]
  RM-1124 : Nokia 108[SS]
 NaviManager Database updated :
 All latest WP8 and MTKx firmware included 
 
 - Other 
 - Ini updated and revised
 - Stuff files updated 
 - Some BugFixes and changes

====================================================================

Infinity-Box Nokia [BEST] v2.05 
 
 - USB Flashing Improved
  WP8x : Battery level check in Dead/Recovery USB flashing activated
  WP8x : Product Code change during flashing ( as Setting )
  WP8x : Update NVI After Flashing ( as Setting )
 
 - Service operations improved
 WP8x: SDAuth ( Server and Own Card ) Activated
 WP8x: Product Code change activated
 WP8x: LifeTimer Reset Activated ( SDAuth required )
 WP8x: CoverColor Change Activated ( SDAuth required )
 WP8x: RPL operations revised
 WP8x: WP81 Test-Mode Init Improved , Service mode operations revised
 NXP : Security Repair improved for X/XL 
 
 - NaviManager 
 NaviManager Database updated :
 All latest WP8, NXP, MTKx firmwares included
 More Lumia WP8 DENIM Release included for WP8 models
 
 New products included : 
 RM-1066 : MS Lumia 430[SS]   (WP81)
 RM-1067 : MS Lumia 430[DS]   (WP81)
 RM-1072 : MS Lumia 640[SS]   (WP81)
 RM-1073 : MS Lumia 640[DS]   (WP81)
 RM-1077 : MS Lumia 640XL[SS] (WP81) 
 RM-1114 : MS Lumia 435 [DS] DTV (WP81)
 RM-1115 : MS Lumia 532 [DS] DTV (WP81)
 
 Total NaviManager Models Count : 474
 
 New products with ENOSW support , included in NaviManager : 
 Lumia 1520 : RM-937, RM-938, RM-939, RM-940 
 Lumia 430  : RM-1066, RM-1067
 Lumia 640  : RM-1072, RM-1073, RM-1077
 Lumia 435  : RM-1114
 Lumia 532  : RM-1115
 
 - Other 
 - Ini updated and revised
 - Stuff files updated 
 - Some BugFixes and changes

====================================================================

Infinity-Box Nokia [BEST] v2.04 : Nokia Android Repair and Lumia Stuff
 
 - UserData operations improved
 MTKx : Forensic Mode supported for more models 
 RM-1124 (Nokia 108) : PhoneBook Extraction
 RM-1125 (Nokia 220) : PhoneBook Extraction 

 - Service operations improved
 WP8x: WP81 Test-Mode Init Improved , also now possible get SECWIM directly from BEST!
 NXP : Security Repair released for NXP1.x Phones!
 Allow Repair Damaged/Killed security after Boot Repair via some jtag products
 Allow Repair Damaged/Killed security after custom ROM's and security manipulations
 Allow Repair security after eMMC change ( empty fill )
 This feature intended only for repair original security data. Using this for illegal actions is strictly forbidden.
 Supported models : 
 Nokia X (RM-980)  - V1 , V2 HW version
 Nokia X (RM-1030) - V1 , V2 HW version
 Other RM-variations ( RM-981 , RM-1042 , RM-1053 ) supported also
 
 - NaviManager 
 New feature supported : Download Lumia WP8 ENO (SECWIM) images!
 Just select need RM-model , select eno_sw and download it
 Products with ENOSW support , included in NaviManager : 
 RM-974, RM-975, RM-976, RM-977  RM-978, RM-979, RM-983, RM-984 , 
 RM-985, RM-1010, RM-1017, RM-1018, RM-1019, RM-1020, RM-1027, 
 RM-1031, RM-1032, RM-1034, RM-1038, RM-1039, RM-1040, RM-1045, 
 RM-1049, RM-1068, RM-1069, RM-1069, RM-1070, RM-1071, RM-1078, 
 RM-1087, RM-1089, RM-1090, RM-1091, RM-1092
 NaviManager Database updated :
 All latest WP8, NXP, MTKx firmware included
 More Lumia WP8 DENIM Release included for WP8 models
 
 - Other 
 - Stuff files updated
 - NXPR Drivers uploaded to support area
 - Some BugFixes and changes

====================================================================

Infinity-Box Nokia [BEST] v2.03 : Full Nokia 215 support and more!

 USB flashing improved
 - MTKx Flash Engine revised
   Nokia 215 ( RM-1110 , RM-1111 , RM-1112 ) supported 
   "FlashRepair" mode improved 
 - FlashLoaders updated

 Service Operations improved 
 - MTKx : Full Nokia 215 ( RM-1110 , RM-1111 , RM-1112) support
 RPL operations : Read/Write/Verify
 Flash Read activated
 MAUI Repair Activated (Files uploaded to support area)
 Counter Reset activated ( reset wrong SP unlock code attempts )
 SP-Unlock (via BF) operation activated

 UserData operations improved 
 - MTKx : Forensic Mode activated for Nokia 215!
 PhoneBook extraction supported now for RM-1110 , RM-1111 , RM-1112
 - MTKx : PhoneBook Extraction for Nokia 225 improved

 Other 
 - Stuff files updated
 - Some BugFixes and improvements

====================================================================

BEST v2.02
 
 - USB Flashing improved 
   MTKx : FlashEngine updated
   MTKx : New models supported 
   RM-1124 ( Nokia 108 CN )
   RM-1125 ( Nokia 220 CN ) - under test
   RM-1126 ( Nokia 225 CN )
   RM-1122 ( Nokia 130 CN ) - under test 
   RM-1110 ( Nokia 215 ) - under test 
   RM-1111 ( Nokia 215 ) - under test 
   RM-1112 ( Nokia 215 ) - under test 
   MTKx : FlashUpdate package updated to latest version
   Lumia Wp8x : USB Boot Repair improved ( some V2 "Sahara" models ) 
   
 - UserData operations improved
   MTKx : Forensic is ON! 
   Allow extract PhoneBook from any phone state - dead , damaged and e.t.c.
   Any "Stuck" , "Hang on logo" and e.t.c. cases also supported.
   NOT possible restore contacts after : FS format , Settings Reset. 
   LOW chance to restore contacts after : Delete from menu ( depend on time used and many other factors )
   P.S. : Don't try use this feature for NON-NOKIA phones, it will give zero result. Data in Nokia MTK phones are encrypted.
   Supported Models : 
   RM-944, RM-945 (Nokia 108)
   RM-969, RM-970, RM-971 (Nokia 220)
   RM-1011, RM-1012, RM-1043 (Nokia 225)
   RM-1035, RM-1036, RM-1037 (Nokia 130)
   XG213 : Forensic mode improved. Data accuracy improved. 
   
 - Service operations improved
   WP8x : WP81 TestMode Init
   Latest WP8 phones uses special packages, which allow to enter in test mode
   Useful for HW testing and checking, when phone can't power on or not work in normal mode
   Test Mode can be run from Alive and Dead modes as well
   Test Mode require WIM images , every model uses own images. Manager for them will follow ;)
   WP8x : Service mode support improved for WP81. All features ( including RPL operations ) are supported
   WP8x : Fixed "Normal Mode" connection on some phones
   MTKx : Test support for RM-1110 , RM-1111 , RM-1112 : Format FS , Read Info , SelfTest
   
 - NaviManager 
   NaviManager Database updated!
   All latest WP8,Asha,MTKx firmware included
   Lumia WP8 DENIM Release included for most WP8 models!
   New products added : 
    RM-1031 : MS Lumia 532[DS]     (WP8x)
    RM-1032 : MS Lumia 532[SS]     (WP8x)
    RM-1034 : MS Lumia 532[SS]     (WP8x)
	RM-1068 : MS Lumia 435[DS LTA] (WP8x)
    RM-1069 : MS Lumia 435[DS]     (WP8x) 
    RM-1070 : MS Lumia 435[SS LTA] (WP8x)
    RM-1071 : MS Lumia 435[SS]     (WP8x)
	RM-1110 : Nokia 215[DS]        (MTKx)
    RM-1111 : Nokia 215[SS]        (MTKx)
	RM-1125 : Nokia 220[CN]        (MTKx)
    RM-1126 : Nokia 225[CN]        (MTKx)
   
   Navi Models Count : 467 - All existing Nokia/MS Lumia Firmwares inside it :) 
 
  - Other	
   - Ini updated and revised 
   - Ancient UFS bug fixes ( BB5 flash / service )
   - Some BugFixes and changes


====================================================================

BEST v2.01 
 - USB Flashing improved
   Lumia WP8x USB Boot Repair improved
   Lumia V1 phones : added eMMC init check (HW errors detection)
   Lumia V2 phones : 
   Added HW errors detection
   Improved Lumia 930, Lumia 1020 repair
 
 - Service operations improved
   NXP : Security Backup improved (X,XL,X2,XL4G)
   NXP : Security Restore released (X,XL,X2,XL4G)
 
 - NaviManager 
   NaviManager Database updated!
   All latest WP8,Asha,MTKx firmware included
   Lumia WP8 DENIM Release included for some models!
   New products added : 
   - RM-1078 : Lumia 735[Sprint] (WP8.1)
   
  - Other	
   - Ini updated and revised 
   - Some bugfixes and changes
  
====================================================================

BEST v2.00a 
 - USB Flashing improved
    Lumia WP8x USB Boot Repair released!
    1. Dead boot repair
    2. BSOD Repair ( "Unable find bootable option" )
    3. Other boot failures ( not connect in boot mode , just vibra and e.t.c. )
    WP8x Flash Engine revised
	
	Lumia Boot Repair Supported models : 
	Lumia 920  (RM-820,RM-821,RM-867)
	Lumia 820  (RM-824,RM-825) 
	Lumia 620  (RM-846)
	Lumia 928  (RM-860)   
	Lumia 1020 (RM-875,RM-876,RM-877)
	Lumia 720  (RM-885,RM-887) 
	Lumia 925  (RM-892,RM-893,RM-910,RM-955)   
	Lumia 520  (RM-913,RM-914,RM-915,RM-917) 
	Lumia 625  (RM-941,RM-942,RM-943)  
	Lumia 1320 (RM-994,RM-995,RM-996) 
	Lumia 525  (RM-997,RM-998) 
	Lumia 1520 (RM-937,RM-938,RM-939,RM-940) 
	Lumia 635  (RM-974,RM-975) 
	Lumia 630  (RM-976,RM-977,RM-978,RM-979) 
	Lumia 638  (RM-1010) 
	Lumia 530  (RM-1017,RM-1018,RM-1019,RM-1020)
	Lumia 638  (RM-1027) 
	Lumia 930  (RM-1045)  
	For more info - follow manual in DOC's folder.

  - Other	
   - Service operations improved
   - Ini updated and revised
  Repair files upload as separate package
  All info described in repair manual ( on support area and DOC's folder in BEST )
  
====================================================================

BEST v1.99 

 - USB flashing improved
   - MTKx Flash Engine revised ( "Repair Mode" flashing improved )
   - WP8x Flash Engine Revised ( Progress bar issue on some phones )
   - WP8x : MicroSoft Phones Flashing tested ( MS Lumia 535 and same )
 
 - Service operations improved
   - WP8x : Model detection improved 
   - NXP  : Model detection improved ( some X , XL revisions )
   - NXP  : Root improved for latest FW's version
   - MTKx : Repair MAUI operation improved 
   
 - UserData operations improved 
   - BB5 S40 : Forensic Engine revised
    Up to 3-4 times more result! ( for some latest Asha S40 FW's , others will follow )
	Data Accuracy improved 
	Last call list extraction improved
   - BB5 XG618 : Forensic Engine revised
    Up to 2 times more result! 
	Data accuracy improved
   - XG213 : Extract SMS from dump released
   - BB5 S40 : SMS extraction improved for v5 and Asha phones ( Direct and from dump )
   - XG213 : Forensic engine revised
     Data Accuracy improved 
   - All S40 : S4Pb ( S40 Cross-write PhoneBook ) creating improved ( from dump )   
 
 - NaviManager DataBase updated 
  All latest Lumia , MTKx , Asha and NXP firmwares included
  New models included :  
    RM-983 : Nokia Lumia 830 (WP8.1)
    RM-1049 : Nokia Lumia 830 (WP8.1)
    RM-1089 : Microsoft Lumia 535 (WP8.1)
    RM-1090 : Microsoft Lumia 535 Dual SIM (WP8.1)
    RM-1091 : Microsoft Lumia 535 (WP8.1)
    RM-1092 : Microsoft Lumia 535 Dual SIM (WP8.1)
  DataBase revised , fixed some FW's downloading 
  Total NaviManager models count : 455
  
 - Other
  - FFU info extraction improved
  - Stuff files updated
  - Ini updated and revised
  - Some BugFixes and improvements
  
====================================================================

BEST v1.98 : Full Nokia 130 support and more!

 - USB flashing improved
  - MTKx Flash Engine revised 
  - WP8x Flash Engine Revised
  - FlashLoaders updated
  
 - Service Operations improved 
  - WP8x : WP8.1 Check/Info option added
  - NXP  : HW Revision check improved
  - MTKx : Full Nokia 130 (RM-1035,RM-1036,RM-1037) support
    RPL operations : Read/Write/Verify
	Flash Read activated
	MAUI Repair Activated (Files uploaded to support area)
	Counter Reset activated ( reset wrong SP unlock code attempts )
    SPUnlock (BF) operation activated 
 
 - NaviManager DataBase updated 
   All latest Lumia , MTKx , Asha and NXP firmwares included
   New models included :
   RM-984 : Lumia 830 (WP8.1)
   RM-985 : Lumia 830[LTE] (WP8.1)
   RM-1038 : Lumia 735[DS] (WP8.1)
   RM-1039 : Lumia 735[SS] (WP8.1)
   RM-1040 : Lumia 730 (WP8.1)
   DataBase revised  
   Total NaviManager models count : 446
   
 - Other
  - FFU Verify and info extraction improved
  - Stuff files updated
  - Ini updated and revised
  - Some BugFixes and improvements
  
====================================================================

BEST v1.97 : New MTKx phones support and more 

 - USB Flashing improved
  MTKx : Support for following MTK6260 phones released
  RM-1035 : Nokia 130 DS
  RM-1036 : Nokia 130 SS
  RM-1037 : Nokia 130 SS 
  Supported flash mode : Full Flash , Language Package Change
  MTKx : "Repair Flash" mode improved
  MTKx : FlashLoaders updated to latest version
  NXP2 : Improved FlashFiles checking and chain verify
  
 - Service operations improved
  MTKx Service module improved ("Crystal" project support)
   MTKx : Improved RPL, Flash Read , Repair MAUI , Format FS operations 
   MTKx : Improved Safe User Code reset (Nokia 220 improved , Nokia 130 support added)
  NXP Android Module improved
   NXP  : Improved Root procedure 
   NXP  : Improved Google Service installation on latest FW's (2.1.0.11 and upper - Nokia logo stuck bug)
    
 - NaviManager DataBase updated 
   All latest Lumia , MTKx , Asha and NXP firmwares included
   More Lumia "Cyan" Firmwares included ( WP8.1 )
   DataBase revised  
   New Products included : 
   RM-1035 : Nokia 130 [DS]   (MTKx)
   RM-1037 : Nokia 130 [SS]   (MTKx)
   Total NaviManager models count : 444
   
 - Other
  Ini updated and revised, all latest models included
  Stuff files updated
  Some bugfixes at all
  
====================================================================

BEST v1.96 
 
 - Service Operations improved 
  - WP8x : WP8.1 phones normal/test mode connection improved 
  - ADB layer improved 
    Some bugfixes and improvements 
  - NXP Android support improved 
    Connection improved 
    Root procedure improved (NXP 2.0) 
    Google Apps package updated (NXP 2.0) 
	Security Backup improved 
	
 - User Data operations improved
  - S40 (BB5/Xgold618) : PhoneBook extraction improved ( Direct/Dump )
  - S40 (Xgold213) : Forensic mode improved
  - S60 : Forensic mode improved
  
 - NaviManager DataBase updated 
   All latest Lumia , MTKx , Asha and NXP firmwares included
   Lumia "Cyan" Firmwares added ( WP8.1 )
   DataBase revised  
   Total NaviManager models count : 441
   
 - Other
  - Stuff files updated
  - Ini updated and revised
  - Some BugFixes and improvements

====================================================================

BEST v1.95
  
  - USB Flashing improved
  NXP : Improved and Revised model detection (Dead mode) 
  
  - Service operations improved
  MTKx : Improved support of latest FW's in service mode
  MTKx : Improved Counter Reset 
  NXP  : Improved security backup (XNP2.0)
  
  - UserData operations improved
  NXP  : Improved PhoneBook Operations (NXP1.x / NXP2.x)
  MTKx : Improved Safe UserCode Reset
  S40  : Improved PhoneBook extraction from some BB5 models (Direct and from Dump)
  
  - NaviManager Database updated
  All Latest WP8x, Asha, MTKx, NXP firmwares included 
  New Products added : 
  RM-1061 : Nokia XL [LTE]   (NXP 2.0)
  
  - Other 
  WP7x PhoneBook Extraction service fully restored
  Ini updated and revised
  X2 drivers for WinXP uploaded on support
  Some bugfixes and improvements
  
====================================================================

BEST v1.94 : Nokia X2 support : Android , Service, Flash

 - USB flashing improved
  - Android : Nokia X2 Flashing supported (Dead/Alive mode) - World First! 
	Due high count of files - Strongly Recommended use BEST NaviManager to download FW's for those phones
  - MTKx   : Fixed phone detection in some cases  
  
 - Service Operations improved
  - Firmware selection and HW revision detection improved. HW revision warning not shown on non-affected phones
  - X2 Phonet protocol supported ( allow work with phone, if USB debug is off )
  - Switch To ADB - allow choose mode between Phonet/ADB for Nokia Android phones
  - ADB layer improved
    Added Secure ADB connection support
    Some bugfixes and improvements
  - NXP Android support improved :
  
    - NXP 1.1 platform support added
    Improved ADB Layer to support NXP1.1 phones ( New ADB drivers also required )
	PhoneBook transfer from XNP1.0 to NXP1.1 supported
    Root and all rest features tested and improved on latest Nokia X and Nokia XL FW's 
	One-Click root , rest operations NOT require Root 
	
    - NXP 2.0 platform support added ( AOSP 4.3 core ) 
    Root supported
    Install Google Services ( 1 click ) - No Root Required
	Security Backup - No Root Required
    PhoneBook Backup/Restore (Warning , NXP2.0 and NXP1.x can't be cross-written) - No Root Required
    Unlock feature useless , but can be used to remove forgotten code (Require ON USB Debug in setting for XNP2.0 platform) - No Root Required
	
 - NaviManager DataBase updated 
   All latest Lumia , MTKx , Asha and NXP firmwares included
   DataBase revised
   New models included : 
   RM-927  : Lumia 929[Icon] (WP8.1)
   RM-1017 : Lumia 530[SS]   (WP8.1)
   RM-1018 : Lumia 530[SS]   (WP8.1)
   RM-1019 : Lumia 530[DS]   (WP8.1)
   RM-1020 : Lumia 530[DS]   (WP8.1)
   RM-1042 : Nokia XL        (NXP1.1)
   
   Total NaviManager models count : 439
   Most powerful, fast, standalone and easy NaviManager!
   
 - Other
  - New USB drivers for Android phones uploaded to support
  - X2 Flashing drivers uploaded to support
  - Firmware verification improved (NXP , Lumia)
  - Stuff files updated
  - Ini updated and revised
  - Some BugFixes

====================================================================

BEST v1.93 : New Nokia Android features and more 
  
  USB flashing improved
  - NXP flash engine revised 
  - MTKx flash engine revised 
  - FlashLoaders updated
  
  Service operations improved
  - MTKx : Service operations revised 
  - MTKx : Safe UserCode Reset for Nokia 108 improved
  - NXP  : Android Module released
  Uses own ADB layer , during start BEST will check for active ADB and ask permission to close it
  Auto connect to phone - Work with Nokia Android as like any other Nokia phone
  Automatic file selection, when phone connected
  Operations :
  .Read Info - read information about phone ( NXP , Android Version, Product code, IMEI , HW revision)
  .Backup security - backup phone unique data (sfs , nv)
  .Install Google Services - install Google Play and rest stuff ( No Root required )
  .Root - Root phone. One-click and fast. No any special moves required.
  .PhoneBook Backup/Restore - Backup PhoneBook from phone and restore it. 
  Also possible transfer PhoneBook between NXP phones. ( No Root required )
  .Reset Password/PinLock - Remove ScreenLock. ( No Root required )
  Just connect phone with ScreenLock to PC with running BEST and press "Reset ScreenLock". 
  After reboot Phone will not have locks and all UserData will be untouched.
  "Reset Google Account" - reset PhoneBook also. Backup it first, if need.
  .Phone Mode Change - allow switch phonemode ( Reset, Recovery, Bootloader )
  Supported Models : 
  RM-980  : Nokia X (V1 & V2) 
  RM-981  : Nokia X  
  RM-1030 : Nokia XL (V1 & V2) 
  RM-1053 : Nokia X+
  Supported FW's : All current NXP versions
  
  NaviManager Database Updated 
  - All Latest WP8x, Asha, MTKx, NXP firmwares included
  - DataBase fully revised
  New Products added : 
  RM-974 : Lumia 635[LTE] (WP8.1)
  RM-975 : Lumia 635[SS]  (WP8.1)
  RM-979 : Lumia 630[DS]  (WP8.1)
  RM-981 : Nokia X        (NXP 1.1)
  RM-1010 : Lumia 638[4G] (WP8.1)
  RM-1013 : Nokia X2[DS]  (NXP 2.0)
  RM-1027 : Lumia 636[4G] (WP8.1)
  RM-1045 : Lumia 930     (WP8.1)
 
  Other 
  Ini updated and revised
  Included Root and GS files for NXP phones
  New Drivers upload to support area (Strictly required for new WP8x phones)
  Some bugfixes and improvements
  
====================================================================

BEST v1.92 
  
  USB flashing improved
  - MTKx FlashEngine revised 
    DownLoad agent for Nokia 108, Nokia 220 updated
	FlahID database updated
	CodeDefine base updated (Error handling)
  - NXP FlashEngine Updated
    HW Revision check and verify for All NXP products (X/X+/XL)
	*Use NaviManager for check your HW revision
	
  NaviManager Database Updated 
  - All Latest WP8x, Asha, MTKx, NXP firmwares included
  - DataBase revised
 
  Other 
  Ini updated and revised
  Some bugfixes

====================================================================

BEST v1.91 : WP 8.1 Support , New MTKx features and more 
  
  USB flashing improved
  - WP 8.1 Flash Support released
  - WP 8.0 Flashing Revised ( WinXP Dead Mode bug )
  - MTKx FlashEngine revised (MTK6260 support improved)
  - MTKx "Repair Flash" mode improved (MTK6260 support)
  
  Unlock Operations :
  - MTKx : Activated Log Read for 15 digits MTK6260 phones (Nokia 225 and same)
  
  Service operations improved
  - MTKx : Safe UserCode reset for MTK6260 released!
  MTK6260 new way to remove code.
  All security settings will be set to default.  
  Code will be reset after to default : 12345
  No need format phone , No any byte of UserData lost!
  - MTKx : RPL operations improved
  - MTKx : Repair MAUI operation improved : Nokia 225 supported
  - MTKx : Security Verify Improved (MTK6260 support revised)
  - WP8x : Support for WP8.1 phones in NormalMode (Read Info, NVM operations)
  
  NaviManager Database Updated 
  - All Latest WP8x, Asha, MTKx, NXP firmwares included
  - DataBase revised
  - Product Selection after download revised
  - AshOS PPM id Database Updated, 1020 records
  New Products added : 
  RM-974  : Nokia Lumia 630 SS [MONEYPENNY LTE](WP8x) 
 
  Other 
  Ini updated and revised
  Support for 4-digit index (RM-1xxx) in MTKx , WP8 , NXP FlashTabs fixed
  FFU verification, FastCheck , Product Selection improved (WP8.1)
  Repair MAUI package for RM-1011,RM-1012,RM-1043 uploaded on support 
  New USB drivers for WP8x, MTKx, NXP platforms upload on support area
  Some bugfixes

====================================================================

BEST v1.90 : New MTKx features and more 
  
  USB flashing improved
  - NXP flash engine revised ( FastVerify , initial info read )
  - MTKx flash engine revised ( AfterFlash Verify )
  
  Service operations improved
  - MTKx : Safe UserCode reset released!
  No need format phone any more! 
  No any byte of UserData lost! 
  If need just remove code - use this feature. 
  Code will be reset after to default : 12345
  Supported phones : All MTKx6260 and MTKx6250 (Nokia 108 , Nokia 220 , Nokia 225 and their RM-xxx variants)
  - MTKx : Improved RPL operations
  - XG618/XG221 : Flash Read revised ( SpeedUp improvements )
  
  NaviManager Database Updated 
  - All Latest WP8x, Asha, MTKx, NXP firmwares included
  New Products added : 
  RM-977  : Nokia Lumia 630 SS [MONEYPENNY](WP8x)
  RM-978  : Nokia Lumia 630 CN [MONEYPENNY](WP8x) 
  
  Samsung Infineon Module
  - Improved FlashRead (XG225)
  - Improved UserCode read (XG618/XG225)
  
  xCntTool module
  - Improved XG618/XG221 support
  - Fixed some bugs with XG618 models
  
  Other 
  Ini updated and revised
  Some bugfixes

====================================================================

BEST v1.89 : MTKx6260 , XG618 Nokia , XG618 Samsung and more!

 - USB Flashing Improved
  - MTKx 6260s flashing support added! WorldFirst!
    Supported MTK6260 Phones :
	Nokia 225 (RM-1011)
	Nokia 225 (RM-1012)
	Nokia 225 (RM-1043) 
  - MTKx 6250 series flashing revised
  - MTKx 6250/6260 : "Repair Flash" mode. Allow flash bricked phones (Nokia 220 Flash bug)
  
 - Unlock Operations improved :
  Support for XG618 , 15 digit NCK Log Reading
  All existing XG618 products with 15 digits NCK supported. * 
  Support for XG221 , 15 digit NCK Log Reading
  All existing XG221 products with 15 digits NCK supported. ** 
  
 - Service Operations improved :
  XG618 Read/Write RPL operations fully revised. All existing XG618 Product supported now. *
  XG221 Read/Write RPL operations fully revised. All existing XG221 Product supported now. **
  MTKx  Read/Write RPL revised 
  McSD format revised
  MTKx Repair MAUI operation improved
  MTKx 6260 Service Operations supported: 
  .Read RPL , Write RPL 
  .Read Info
  .Read Flash 
  .Factory Set (Format)
  .Security Check , Simlock Info check 
  
 - UserData operations improved : 
  FlashRead for XG618 platform fully revised , now supports all existing XG618 products
  PhoneBook extraction for XG618 products (Non-Asha series) improved (from Flash)
  Gallery extraction for XG618 improved. 
  For AshaOs Series XG618 products (Nokia 503 and similar) , Select : AshaOs XG221/XG618
  Forensic Mode for XG618 products improved ( Extract PhoneBook from Damaged FS , deleted and e.t.c. )
 - NaviManager Updated
  Improved FileVerify before download
  Improved FileVerification (Checksum Verify)
  
  AshaOs PPM_ID database updated, total 918 records for now
 
  NaviManager Database Updated
  - DataBase fully Revised
  - All Latest WP8x, Asha, MTKx, NXP firmwares included
  New Products added : 
  RM-976  : Nokia Lumia 630 [MONEYPENNY](WP8x)
  RM-1011 : Nokia 225 (MTK6260s Platform)
  RM-1012 : Nokia 225 (MTK6260s Platform)
  RM-1030 : Nokia X+ (Android/NXP)
  RM-1053 : Nokia XL (Android/NXP)

 - Other 
 WP8 FileCheck , Language Info extraction revised. FFU FastVerify revised.
 Ini updated and revised
 Stuff Files updated
 FlashLoaders updated
 Repair MAUI for Nokia 220 upload on support area. Use it only with BEST 1.89 or higher! 
 
 Samsung Module updated : Exclusive UserData/Forensic :)
 - Added support for Infineon XG225 based phones :
   GT-C3322I : Flash Read/User Code Read , Forensic : User Gallery extraction ***
   GT-C3590  : Flash Read/User Code Read , Forensic : User Gallery extraction ***
   GT-C3592  : Flash Read/User Code Read , Forensic : User Gallery extraction *** 
   GT-S3800W : Flash Read/User Code Read , Forensic : User Gallery extraction ***
   GT-S3802  : Flash Read/User Code Read , Forensic : User Gallery extraction ***  
   GT-S3802W : Flash Read/User Code Read , Forensic : User Gallery extraction *** 
 - Improved PhoneBook and Gallery extraction for XG618 products 

 Other : 
*   XG618 Supported product for FlashRead , UserData extraction , RPL operations , Hash Read (15 Digit NCK)
    RM-839 ( Nokia 301 )
    RM-840 ( Nokia 301 )
    RM-841 ( Nokia 301 )
    RM-920 ( Nokia 503 )
    RM-922 ( Nokia 503 )
    RM-947 ( Nokia 503 )
    RM-948 ( Nokia 208 )
    RM-949 ( Nokia 208 )
    RM-950 ( Nokia 207 )
    RM-952 ( Nokia 515 )
    RM-953 ( Nokia 515 )
    RM-954 ( Nokia 207 )
    RM-956 ( Nokia 208 )
    RM-957 ( Nokia 208 )
    RM-958 ( Nokia 503 )
    RM-959 ( Nokia 503 )
	
**  XG221 Supported product for FlashRead , UserData extraction , RPL operations , Hash Read (15 Digit NCK)
    RM-934 ( Nokia 500 )
	RM-972 ( Nokia 500 )
	RM-973 ( Nokia 500 )
	RM-986 ( Nokia 230 )
	RM-987 ( Nokia 230 ) 
	
*** Samsung Forensic : 
 PhoneBook : If you have one of listed models with need of extract phonebook  - contact with support. 
 For finish direct extraction required 4-5 different models phonebook.
 Extraction of data goes via Flash method, so dead, locked and e.t.c. supported.